Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.chatobserver.com/api/v2/usage/summary \ --header 'x-chatobserver-key: <api-key>'
const options = {method: 'GET', headers: {'x-chatobserver-key': '<api-key>'}}; fetch('https://app.chatobserver.com/api/v2/usage/summary', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://app.chatobserver.com/api/v2/usage/summary" headers = {"x-chatobserver-key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": { "tier": "trial", "prompts": { "used": 123, "limit": 123, "remaining": 123 }, "analysis": { "status": "active", "used": 123, "limit": 123, "remaining": 123, "periodStart": "<string>", "periodEnd": "<string>" }, "history": [ { "periodStart": "<string>", "periodEnd": "<string>", "analysisCreditsUsed": 123 } ] } }
{ "error": { "code": "<string>", "message": "<string>", "details": "<unknown>" }, "requestId": "<string>" }
Read workspace consumption and allowance summaries.
read
A workspace API key. Data endpoints require a service-account key with the specified scopes.
0 <= x <= 12
Successful response.
Show child attributes